/*
 * Copyright 2016 - 2025 Gary Talent (gary@drinkingtea.net). All rights reserved.
 */

#include <nostalgia/gfx/keelmodule.hpp>
#include <nostalgia/sound/keelmodule.hpp>

namespace nostalgia {

static bool modulesRegistered = false;
void registerKeelModules() noexcept {
	if (modulesRegistered) {
		return;
	}
	modulesRegistered = true;
	keel::registerModule(gfx::keelModule());
	keel::registerModule(sound::keelModule());
}

}
